Last Comment Bug 258410 - fix dynamic matrix transforms
: fix dynamic matrix transforms
Status: RESOLVED FIXED
: fixed1.8
Product: Core
Classification: Components
Component: SVG (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: ---
Assigned To: Alex Fritze
: Hixie (not reading bugmail)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-08 03:59 PDT by Alex Fritze
Modified: 2005-09-18 12:20 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix (4.70 KB, patch)
2004-09-08 04:00 PDT, Alex Fritze
jwatt: review+
Details | Diff | Splinter Review
fix updated to tip (6.29 KB, patch)
2005-06-28 15:13 PDT, Jonathan Watt [:jwatt] (back in October - email directly if necessary)
tor: approval1.8b3+
asa: approval1.8b5+
Details | Diff | Splinter Review

Description Alex Fritze 2004-09-08 03:59:43 PDT
Dynamic updates of transforms in code like the following are currently not
working. Upcoming patch fixes that.

<svg>
  <circle transform="matrix(1 0 0 1 0 0)"/>
</svg>

circle_element.transform.baseVal.getItem(0).matrix.a = 10;

Expected Result: new transform matrix [10 0 0 1 0 0] should be applied to circle.
Actual Result: matrix gets the new value, but circle is not redrawn with new
transform.
Comment 1 Alex Fritze 2004-09-08 04:00:41 PDT
Created attachment 158181 [details] [diff] [review]
fix
Comment 2 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2004-09-09 02:38:47 PDT
r=+ from me. Not sure how to add that to the patch without removing the request
for review from tor.
Comment 3 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2004-09-12 19:28:30 PDT
Comment on attachment 158181 [details] [diff] [review]
fix

r=jonathan.watt@strath.ac.uk
As discussed with tor
Comment 4 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2004-09-15 06:00:29 PDT
Alex, can you check in your patch so we can close this bug please?
Comment 5 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2005-06-28 15:13:37 PDT
Created attachment 187549 [details] [diff] [review]
fix updated to tip

Updated Alex's patch to tip. Alex, do you mind if I check this in for you?
Comment 6 Martijn Wargers [:mwargers] (not working for Mozilla) 2005-09-12 12:37:04 PDT
Uhm, was the patch checked in? What's the status of this bug?
Comment 7 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2005-09-12 16:36:21 PDT
Comment on attachment 187549 [details] [diff] [review]
fix updated to tip

Requesting approval for branch. Alex says he doesn't mind if one of us checks
this in for him. This is SVG only and low risk IMO. It fixes a conformance
issue, so I think it's important we include this for Firefox 1.5.
Comment 8 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2005-09-18 12:20:59 PDT
checked in on trunk and branch

Note You need to log in before you can comment on or make changes to this bug.